Subject: Re: [bug#57050] [PATCH v2 05/13] gnu: racket: Update to 8.6.

From: "Philip McGrath" <[email-masked]>
Date: Mon, 22 Aug 2022 14:56:34 -0400

On Mon, Aug 22, 2022, at 4:41 AM, Efraim Flashner wrote:
> On Thu, Aug 11, 2022 at 07:08:15AM -0400, Philip McGrath wrote:
>> Also, update 'chez-scheme-for-racket' to 9.5.9.2.
>
>> -(define %racket-version "8.5") ; Remember to update chez-scheme-for-racket!
>> +(define %racket-version "8.6") ; Remember to update chez-scheme-for-racket!
>>  (define %zuo-version "1.0") ; defined in racket/src/zuo/zuo.c
>>  (define %racket-commit
>>    (string-append "v" %racket-version))
>> @@ -211,10 +215,15 @@ (define %racket-origin
>>            (url "https://github.com/racket/racket")
>>            (commit %racket-commit)))
>>      (sha256
>> -     (base32 "0f9zyhdvbh4xsndrqjzl85j5ziz0rmqi676g9s1lw3h3skq2636h"))
>> +     (base32 "1yi36nr7zrdwrnvpmliirxxjz4pyfyhkar6yvk3rapvmg4q2vmnk"))
>>      (file-name (git-file-name "racket" %racket-version))
>
> I got a different hash just now, and the tag on GitHub says it's from
> 6 days ago. It looks like the tagged commit might've changed in the past
> week or two.
>

Thanks for the report. Yes, the tag apparently changed to point to 3c5e37774fa7acd04fb648187e080a3c62a0d4ea instead of 90d2dac7976b6ac0369c267f0adec3f37bd98460. (The change doesn't affect the Guix packages at all.) I've reminded upstream about the problems this causes---it is definitely not Racket's normal practice!---and I'll send a v3 of this series soon.

-Philip